IF EXISTS(SELECT * FROM sys.objects where name = 'stp_Update_Usuario')
BEGIN 
	DROP PROCEDURE stp_Update_Usuario
END 
GO 


-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE PROCEDURE stp_Update_Usuario
	-- Add the parameters for the stored procedure here	
	@intUsuarioId int				= 1
	,@vchUsuario	varchar(100)	= 'makrack'
	,@vchEmail		varchar(200)	= 'makruiz@gmail.com'
	,@vchContrasena	varchar(200)	= '123456'
	,@vchTelefono	 varchar(500)	= '54545454'
	,@vchMovil		varchar(200)	= '54545454'
	,@bitActivo		bit				= 1
	,@bitAdministrador	bit			= 1
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
    
    Update 
		UserQC.tbl_mst_Usuarios
	Set 	
		vchUsuario				= @vchUsuario,
		vchEmail				= @vchEmail, 
		vchContrasena			= @vchContrasena, 
		vchTelefono				= @vchTelefono, 
		vchMovil				= @vchMovil, 
		bitActivo				= @bitActivo,
		bitAdministrador		= @bitAdministrador	
	Where 
		intUsuarioId = @intUsuarioId
	
		 
END 
GO